Bug 1772060 - Fix deprecation warning that the functionality will be removed on python 3.9
Summary: Fix deprecation warning that the functionality will be removed on python 3.9
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pyparted
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-13 14:43 UTC by Jiri Konecny
Modified: 2019-11-15 14:12 UTC (History)
4 users (show)

Fixed In Version: pyparted-3.11.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-15 14:12:54 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jiri Konecny 2019-11-13 14:43:40 UTC
Description of problem:

When running Anaconda this deprecation warning is printed:

```
WARNING:py.warnings:/usr/lib64/python3.8/site-packages/parted/cachedlist.py:23: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated since Python 3.3, and in 3.9 it will stop working

from collections import Sequence
```

The most problematic part is that Python is planning to remove this feature in 3.9 and we have 3.8 in Rawhide.

Release schedule for 3.9:

3.9.0 candidate 1: Monday, 2020-08-10
3.9.0 candidate 2: Monday, 2020-09-14
3.9.0 final: Monday, 2020-10-05

https://www.python.org/dev/peps/pep-0596/


Version-Release number of selected component (if applicable):
python3-pyparted-3.11.2-5.fc32.x86_64

Comment 1 David Cantrell 2019-11-15 14:12:54 UTC
Fixed in pyparted-3.11.3, thanks.


Note You need to log in before you can comment on or make changes to this bug.